<?php 
session_start();
if(!isset($_SESSION['idUsuario'])){
	header("location:../");
}
include_once '../../conexao/index.php';

$utilizador = $_GET['utilizador'];
$serie = $_GET['serie'];
$data1 = $_GET['data1'];
$data2 = $_GET['data2'];

//incluir a biblioteca
include 'biblioteca/tcpdf.php';

// Criar novo documento PDF
$pdf = new TCPDF('P', 'mm', 'A4', true, 'UTF-8');
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetTitle('Relatório de Entradas de Stock'); // Defina o título do PDF

$pdf->AddPage();

// Dados da Empresa a Faturar (exemplo)
$sql = "SELECT * FROM empresa";
$rs = mysqli_query($db, $sql);
$dados = mysqli_fetch_array($rs);
$img = $dados['img'];

// Conteúdo da fatura


// Dados da Empresa a Faturar
$pdf->SetFont('helvetica', '', 12);
$pdf->Ln(7);
// Definir a posição e o tamanho da imagem
$imageX = 160;   // Posição X da imagem
$imageY = 15;   // Posição Y da imagem
$imageWidth = 35;  // Largura da imagem
$imageHeight = 0;   // Altura da imagem (0 para manter a proporção)

// Inserir a imagem
$pdf->Image('../../img/'.$img.'', $imageX, $imageY, $imageWidth, $imageHeight);
$pdf->Cell(0, 7, $dados['nome'], 0, 1);

// // // Incluir o logotipo à direita
// $logoWidth = 30; // Largura do logotipo em milímetros
// $logoHeight = 0; // Altura do logotipo em milímetros (0 para manter a proporção)
// $logoX = $pdf->getPageWidth(100) - $pdf->getRightMargin(0) - $logoWidth; // Posição X calculada para alinhar à direita
// $logoY = $pdf->GetY(0); // Posição Y atual
// $pdf->Image('../img/iCone.png', $logoX, $logoY, $logoWidth, $logoHeight);

// // // Ajustar a posição Y para a próxima linha
// $pdf->SetY($pdf->GetY() + $pdf->getCellHeight(10));





// Restante dos dados da Empresa a Faturar
$pdf->SetFont('helvetica', '', 10);
$pdf->Cell(0, 7, $dados['endereco'], 0, 1);
$pdf->Cell(0, 7, 'Nuit: ' . $dados['nuit'], 0, 1);
$pdf->Cell(0, 7, 'Contacto: ' . $dados['contacto'], 0, 1);
$pdf->Cell(0, 7, 'E-mail: ' . $dados['email'], 0, 1);
$pdf->Cell(0, 7, $dados['pais'] .' - '. $dados['provincia'], 0, 1);

$pdf->SetFont('helvetica', 'B', 12);
$pdf->Cell(0, 10, 'Relatório de Entradas de Stock de '.$data1.'/'.$data2, 0, 1);
// Desenhar uma linha horizontal
$pdf->SetLineWidth(0.1); // Defina a largura da linha
$pdf->Line(10, $pdf->GetY(), 200, $pdf->GetY()); // Especifica as coordenadas (x1, y1, x2, y2)

// Tabela de Itens da Fatura
$pdf->SetFont('helvetica', 'B', 8);
$pdf->Ln(8);
$pdf->Cell(0, 7, '#', 'T', 0);
$pdf->SetX(30);
$pdf->Cell(0, 7, 'Descrição', 'T', 0);
$pdf->SetX(60);
$pdf->Cell(0, 7, 'Serie', 'T', 0);
$pdf->SetX(100);
$pdf->Cell(0, 7, 'Data', 'T', 0);
$pdf->SetX(140);
$pdf->Cell(0, 7, 'Utilizador', 'T', 0);

$pdf->Ln(8);
// Loop while para adicionar linhas de itens
$pdf->SetFont('helvetica', '', 8);
$sql3 = "SELECT *, (SELECT descricao FROM grupo_artigos as g WHERE g.id = e.grupo) as grupo, (SELECT descricao FROM familia_artigos as f WHERE f.id = e.familia) as familia, (SELECT nome FROM users as u WHERE u.id = e.user) as user  FROM `entrada_stock` as e WHERE data BETWEEN '$data1' AND '$data2' AND serie = '$serie' OR user = '$utilizador'";
$rs3 = mysqli_query($db, $sql3);
while ($dados3 = mysqli_fetch_array($rs3)) {
	$id = $dados3['id'];
    $pdf->Cell(0, 7, $dados3['id'], 0, 0);
	$pdf->SetX(30);
	$pdf->Cell(0, 7, "ES#".$dados3['serie']."/".$dados3['id'], 0, 0);
	$pdf->SetX(60);
	$pdf->Cell(0, 7, $dados3['serie'], 0, 0);
	$pdf->SetX(100);
	$pdf->Cell(0, 7, $dados3['data'], 0, 0);
	$pdf->SetX(140);
	$pdf->Cell(0, 7, $dados3['user'], 0, 0);
	$pdf->Ln(8);

	$sql = "SELECT *, (SELECT nomeproduto FROM produto as g WHERE g.idproduto = e.artigo) as artigos, (qtd *(SELECT preco FROM produto as g WHERE g.idproduto = e.artigo)) as valor FROM es_artigos as e WHERE es = '$id'";
	$rs = mysqli_query($db, $sql);
	if (mysqli_num_rows($rs) > 0) {
		$pdf->SetLineWidth(0.05); // Defina a largura da linha
		$pdf->Line(10, $pdf->GetY(), 200, $pdf->GetY()); // Especifica as coordenadas (x1, y1, x2, y2)
		$pdf->SetFont('helvetica', 'B', 8);
		$pdf->SetX(10);
			$pdf->Cell(0, 7, 'Artigos', 0, 0);
			$pdf->SetX(120);
			$pdf->Cell(0, 7, 'Quantidade', 0, 0);
			$pdf->SetX(170);
			$pdf->Cell(0, 7, 'Valor Total', 0, 0);
			$pdf->Ln(6);
		while ($dadosx = mysqli_fetch_array($rs)) {
			$pdf->SetFont('helvetica', '', 8);
			$pdf->SetX(10);
			$pdf->Cell(0, 7, $dadosx['artigos'], 0, 0);
			$pdf->SetX(120);
			$pdf->Cell(0, 7, $dadosx['qtd'], 0, 0);
			$pdf->SetX(170);
			$pdf->Cell(0, 7, number_format($dadosx['valor'],2), 0, 0);
			$pdf->Ln(6);
		}
	}
}



// Desenhar uma linha horizontal
$pdf->SetLineWidth(0.1); // Defina a largura da linha
$pdf->Line(10, $pdf->GetY(), 200, $pdf->GetY()); // Especifica as coordenadas (x1, y1, x2, y2)
$pdf->Cell(0, 7, 'Documento Processado por Computador/ iVone ERP/', 0, 1);
// Totais


// // Assinaturas
// $pdf->SetFont('helvetica', 'B', 12);
// $pdf->Cell(0, 20, 'Assinaturas', 0, 1);


// Output do PDF
$pdf->Output('Relatorio_entrada_stock.pdf', 'I');

// Fechar conexão e liberar recursos
$db->close();